import {Graph} from "./pslg";
import {Plot, plot} from "nodeplotlib";

export function plotGraph(graph: Graph) {
    const segmentTraces = graph.segments.map((segment): Plot => {
        return {
            x: [segment.from.x, segment.to.x],
            y: [segment.from.y, segment.to.y],
            type: 'scatter',
        }
    })

    const traces = segmentTraces.concat(
        graph.getFreePoints()
            .map((point): Plot => {
                return {
                    x: [point.x],
                    y: [point.y],
                    type: 'scatter',
                }
            })
    )

    plot(traces)
}
